[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# get_cmdline

Return the command-line as a null-terminated string

## Declaration

Source position: system.pp line 36

`function get_cmdline: PChar;`

## Description

get_cmdline returns the complete command-line as a null-terminated string. It is not recommended to use this function, since it builds a complete value from the actual command-line arguments. Instead, ParamCount and ParamStr should be used.

## See also

ParamCount |  | Return number of command-line parameters passed to the program.
ParamStr |  | Return value of a command-line argument.

Documentation generated on: Feb 26 2014